summaryrefslogtreecommitdiffstats
path: root/win/pro_files/kded
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitce4a32fe52ef09d8f5ff1dd22c001110902b60a2 (patch)
tree5ac38a06f3dde268dc7927dc155896926aaf7012 /win/pro_files/kded
downloadtdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.tar.gz
tdelibs-ce4a32fe52ef09d8f5ff1dd22c001110902b60a2.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdelibs@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'win/pro_files/kded')
-rw-r--r--win/pro_files/kded/kded.pro36
-rw-r--r--win/pro_files/kded/kded_rel.pro12
-rwxr-xr-xwin/pro_files/kded/makeall.sh4
-rwxr-xr-xwin/pro_files/kded/makeall_rel.sh4
4 files changed, 56 insertions, 0 deletions
diff --git a/win/pro_files/kded/kded.pro b/win/pro_files/kded/kded.pro
new file mode 100644
index 000000000..05f2455cc
--- /dev/null
+++ b/win/pro_files/kded/kded.pro
@@ -0,0 +1,36 @@
+TEMPLATE = app
+
+include( $(KDELIBS)/win/common.pro )
+
+LIBS += $$KDELIBDESTDIR\dcop$$KDELIB_SUFFIX $$KDELIBDESTDIR\kio$$KDELIB_SUFFIX
+
+# icon
+LIBS+=$(KDELIBS)/win/resources/kbuildsycoca.res
+
+INCLUDEPATH += $(KDELIBS)/kded
+
+system( bash kmoc )
+
+!contains(CONFIG,GUI) {
+ !contains(KW_CONFIG,release) {
+ TARGET = kbuildsycoca_d
+ }
+ contains(KW_CONFIG,release) {
+ TARGET = kbuildsycoca
+ }
+}
+
+SOURCES = \
+kbuildsycoca.cpp \
+kbuildimageiofactory.cpp \
+kbuildprotocolinfofactory.cpp \
+kbuildservicefactory.cpp \
+kbuildservicegroupfactory.cpp \
+kbuildservicetypefactory.cpp \
+kctimefactory.cpp \
+vfolder_menu.cpp
+
+HEADERS =
+
+TRANSLATIONS = kbuildsycoca_pl.ts
+
diff --git a/win/pro_files/kded/kded_rel.pro b/win/pro_files/kded/kded_rel.pro
new file mode 100644
index 000000000..a878305ba
--- /dev/null
+++ b/win/pro_files/kded/kded_rel.pro
@@ -0,0 +1,12 @@
+#release gui version
+
+QMAKE_CXXFLAGS += -DKBUILDSYCOCA_GUI
+
+!contains(KW_CONFIG,release) {
+ KW_CONFIG = debug windows
+ KDEBUG=_d
+}
+
+include( "kded.pro" )
+
+TARGET = kbuildsycocaw #gui version
diff --git a/win/pro_files/kded/makeall.sh b/win/pro_files/kded/makeall.sh
new file mode 100755
index 000000000..2a988fac5
--- /dev/null
+++ b/win/pro_files/kded/makeall.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+qmake kded.pro && nmake -nologo clean && nmake -nologo || exit 1
+qmake kded_gui.pro && nmake -nologo clean && nmake -nologo || exit 1
diff --git a/win/pro_files/kded/makeall_rel.sh b/win/pro_files/kded/makeall_rel.sh
new file mode 100755
index 000000000..c3dc42172
--- /dev/null
+++ b/win/pro_files/kded/makeall_rel.sh
@@ -0,0 +1,4 @@
+#!/bin/bash
+
+qmake kded.pro KW_CONFIG=release -o Makefile.release && nmake -nologo -f Makefile.release clean && nmake -nologo -f Makefile.release || exit 1
+qmake kded_gui.pro KW_CONFIG=release -o Makefile.release && nmake -nologo -f Makefile.release clean && nmake -nologo -f Makefile.release || exit 1